﻿using System;

namespace LegalAgeChecker
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Please enter your age:");

            // Read user input as a string
            string ageInput = Console.ReadLine();

            // Try to parse the input as an integer
            if (int.TryParse(ageInput, out int age))
            {
                // Check if the age is less than 18
                if (age < 18)
                {
                    Console.WriteLine("You are a minor.");
                }
                else
                {
                    Console.WriteLine("You are an adult.");
                }
            }
            else
            {
                Console.WriteLine("Invalid input. Please enter a valid age as a number.");
            }
            Console.WriteLine("Press any key to close the console.");
            Console.ReadKey();
        }
    }
}